=== debian/changelog ===
libsbig (4.9.9-7) unstable; urgency=medium

  * don't ever think that lintian gives better advice than Helmut

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Sep 2024 12:49:12 +0200

libsbig (4.9.9-6) unstable; urgency=medium

  * Upgrade Replaces to Conflicts to mitigate /usr-move induced file loss.
    (DEP17 P1 M7, Closes: #1079059)
    (Thanks a lot to Helmut Grohne who watches nonstop over the uploads
     and finds every glitch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Aug 2024 18:49:12 +0200

libsbig (4.9.9-5) unstable; urgency=medium

  * upload to unstable
  * debian/control: add dh-sequence-movetousr to Build-Depends:
                    (Closes: #1073644)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Jul 2024 18:49:12 +0200

libsbig (4.9.9-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Fri, 02 Feb 2024 06:16:50 +0000

libsbig (4.9.9-4) unstable; urgency=medium

  * debian/rules: avoid dh_dwz

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Aug 2022 22:49:12 +0200

libsbig (4.9.9-3) unstable; urgency=medium

  * debian/control: reduce number of architectures of libsbig-dev
                    Thanks to Steve Langasek for the patch
                    (Closes: #1014499)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Aug 2022 20:59:12 +0200

libsbig (4.9.9-2) unstable; urgency=medium

  * rebuild with indi 1.9.6
  * debian/control: move to debian-astra

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 23:59:12 +0200

libsbig (4.9.9-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 16:59:12 +0000
