=== debian/control ===
Source: libsbig
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, dh-sequence-movetousr
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libsbig
Vcs-Git: https://salsa.debian.org/debian-astro-team/libsbig.git

Package: libsbig4t64
Provides: ${t64:Provides}
Conflicts: libsbig4 (<< ${source:Version})
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, fxload
Description: Santa Barbra Instrument Group (SBIG) Universal Library Driver
 The Official Santa Barbra Instrument Group (SBIG) Universal Library
 Driver is used by applications to access and control the USB,
 Parallel Port, and Ethernet versions of the CCD cameras and filter
 wheels including SBIG ST-7/8/9/10/2K cameras, ST-L cameras, and
 ST-402/1603/3200 cameras. The firmware is included for all classes of
 cameras.

Package: libsbig-dev
Section: non-free/libdevel
Architecture: amd64 armhf arm64
Depends: libsbig4t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SBIG Universal Library Driver - development files
 The Official Santa Barbra Instrument Group (SBIG) Universal Library
 Driver is used by applications to access and control the USB,
 Parallel Port, and Ethernet versions of the CCD cameras and filter
 wheels including SBIG ST-7/8/9/10/2K cameras, ST-L cameras, and
 ST-402/1603/3200 cameras. The firmware is included for all classes of
 cameras.
 .
 This package includes development headers.
