=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# TODO: figure out why dh_dwz fails on arm64
override_dh_dwz:
